package main

import "time"

type StreamList struct {
	Total   string   `json:"total"`
	Streams []Stream `json:"items"`
}
type Channel struct {
	ID          string `json:"id"`
	Name        string `json:"name"`
	Type        string `json:"type"`
	Photo       string `json:"photo"`
	EnglishName string `json:"english_name"`
}
type Stream struct {
	ID             string    `json:"id"`
	Title          string    `json:"title"`
	Type           string    `json:"type"`
	TopicID        string    `json:"topic_id"`
	PublishedAt    time.Time `json:"published_at"`
	AvailableAt    time.Time `json:"available_at"`
	Duration       int       `json:"duration"`
	Status         string    `json:"status"`
	StartScheduled time.Time `json:"start_scheduled"`
	Channel        Channel   `json:"channel"`
}
